Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Session_Container Class Reference

`#include <Container_Base.h>`

Inheritance diagram for CIAO::Session_Container:

[legend]
Collaboration diagram for CIAO::Session_Container:

[legend]
List of all members.

## Public Member Functions
| Session_Container (void)
| Session_Container (CORBA::ORB_ptr o, Container_Impl *container_impl, bool static_config_flag=false, const Static_Config_EntryPoints_Maps *static_entrypts_maps=0)
virtual | ~Session_Container (void)
virtual int | init (const char *name=0, const CORBA::PolicyList *more_policies=0 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initialize the container with a name.
virtual Components::CCMHome_ptr | ciao_install_home (const char *exe_dll_name, const char *exe_entrypt, const char *sv_dll_name, const char *sv_entrypt, const char *ins_name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::UnknownImplId, Deployment::ImplEntryPointNotFound, Deployment::InstallationFailure)
| Simply installing a home executor into the component.
virtual void | ciao_uninstall_home (Components::CCMHome_ptr homeref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | uninstall_component (::Components::CCMObject_ptr objref, PortableServer::ObjectId_out oid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | install_servant (PortableServer::Servant p, Container::OA_Type t ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Object_ptr | install_component (PortableServer::Servant p, PortableServer::ObjectId_out oid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | get_objref (PortableServer::Servant p ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | uninstall (CORBA::Object_ptr objref, Container::OA_Type t ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | uninstall (PortableServer::Servant svt, Container::OA_Type t ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | add_servant_map (PortableServer::ObjectId &oid, Dynamic_Component_Servant_Base *servant ACE_ENV_ARG_DECL)
virtual void | delete_servant_map (PortableServer::ObjectId &oid ACE_ENV_ARG_DECL)
virtual void | deactivate_facet (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | get_home_objref (PortableServer::Servant p ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Object_ptr | generate_reference (const char *obj_id, const char *repo_id, Container::OA_Type t ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Servant_Activator * | ports_servant_activator (void) const
## Protected Attributes
long | number_
bool | static_config_flag_
const Static_Config_EntryPoints_Maps * | static_entrypts_maps_
Servant_Activator * | sa_
## Static Protected Attributes
ACE_Atomic_Op< ACE_SYNCH_MUTEX, long > | serial_number_
## Private Member Functions
void | create_component_POA (const char *name, const CORBA::PolicyList *p, PortableServer::POA_ptr root ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Create POA for the component.
void | create_facet_consumer_POA (const char *name, PortableServer::POA_ptr root ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Create POA for the facets and consumers alone.

## Constructor & Destructor Documentation

CIAO::Session_Container::Session_Container | ( | void |  | ) | `[explicit]`

CIAO::Session_Container::Session_Container | ( | CORBA::ORB_ptr | o,
|  | Container_Impl * | container_impl,
|  | bool | static_config_flag = `false`,
|  | const Static_Config_EntryPoints_Maps * | static_entrypts_maps = `0`
| ) |

CIAO::Session_Container::~Session_Container | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void CIAO::Session_Container::add_servant_map | ( | PortableServer::ObjectId & | oid,
|  | Dynamic_Component_Servant_Base *servant | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Implements CIAO::Container.

Components::CCMHome_ptr CIAO::Session_Container::ciao_install_home | ( | const char * | exe_dll_name,
|  | const char * | exe_entrypt,
|  | const char * | sv_dll_name,
|  | const char * | sv_entrypt,
|  | const char *ins_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::UnknownImplId, Deployment::ImplEntryPointNotFound, Deployment::InstallationFailure)`[virtual]`

  | Simply installing a home executor into the component. This operation install a home executor into the component. It requires the name of the DLLs to executor and the servant glue code, and the entry points to the respective DLLs. Currently, we don't try to manage the lifetime of DLL objects, but we should at some later point. Return values:
  | Home | objref of the installed home.
Implements CIAO::Container.

void CIAO::Session_Container::ciao_uninstall_home | ( | Components::CCMHome_ptr homeref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements CIAO::Container. Reimplemented in CIAO::Swapping_Container.

void CIAO::Session_Container::create_component_POA | ( | const char * | name,
|  | const CORBA::PolicyList * | p,
|  | PortableServer::POA_ptr root | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[private]`

| Create POA for the component. This is the POA that is returned to the component applications if they need one.

void CIAO::Session_Container::create_facet_consumer_POA | ( | const char * | name,
|  | PortableServer::POA_ptr root | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[private]`

| Create POA for the facets and consumers alone.

void CIAO::Session_Container::deactivate_facet | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented in CIAO::Swapping_Container.

virtual void CIAO::Session_Container::delete_servant_map | ( | PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements CIAO::Container.

CORBA::Object_ptr CIAO::Session_Container::generate_reference | ( | const char * | obj_id,
|  | const char * | repo_id,
|  | Container::OA_Type t | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) |

virtual CORBA::Object_ptr CIAO::Session_Container::get_home_objref | ( | PortableServer::Servant p | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements CIAO::Container. Reimplemented in CIAO::Swapping_Container.

ACE_INLINE CORBA::Object_ptr CIAO::Session_Container::get_objref | ( | PortableServer::Servant p | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented in CIAO::Swapping_Container.

virtual int CIAO::Session_Container::init | ( | const char * | name = `0`,
|  | const CORBA::PolicyList * | more_policies = `0 ACE_ENV_ARG_DECL_WITH_DEFAULTS`
| ) | throw (CORBA::SystemException)`[virtual]`

| Initialize the container with a name. Implements CIAO::Container. Reimplemented in CIAO::Swapping_Container.

CORBA::Object_ptr CIAO::Session_Container::install_component | ( | PortableServer::Servant | p,
|  | PortableServer::ObjectId_out oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

CORBA::Object_ptr CIAO::Session_Container::install_servant | ( | PortableServer::Servant | p,
|  | Container::OA_Type t | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented in CIAO::Swapping_Container.

ACE_INLINE CIAO::Servant_Activator * CIAO::Session_Container::ports_servant_activator | ( | void |  | ) | const

| Return the servant activator factory that activates the servants for facets and consumers.

void CIAO::Session_Container::uninstall | ( | PortableServer::Servant | svt,
|  | Container::OA_Type t | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

void CIAO::Session_Container::uninstall | ( | CORBA::Object_ptr | objref,
|  | Container::OA_Type t | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

virtual void CIAO::Session_Container::uninstall_component | ( | ::Components::CCMObject_ptr | objref,
|  | PortableServer::ObjectId_out oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

| Implements CIAO::Container.

## Member Data Documentation

long CIAO::Session_Container::number_`[protected]`

| Reimplemented in CIAO::Swapping_Container.

Servant_Activator* CIAO::Session_Container::sa_`[protected]`

| The servant activator factory used to activate facets and consumer servants.

ACE_Atomic_Op< ACE_SYNCH_MUTEX, long > CIAO::Session_Container::serial_number_`[static, protected]`

| Reimplemented in CIAO::Swapping_Container.

bool CIAO::Session_Container::static_config_flag_`[protected]`

const Static_Config_EntryPoints_Maps* CIAO::Session_Container::static_entrypts_maps_`[protected]`

The documentation for this class was generated from the following files:

- Container_Base.h
- Container_Base.cpp
- Container_Base.inl